// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/DIO24/DIO24_Linux_8.x.x.x_GSC_DN/samples/irq/gsc_fall.c $
// $Rev: 44968 $
// $Date: 2019-05-22 16:34:25 -0500 (Wed, 22 May 2019) $

// DIO24: Sample Application: source file

#include "main.h"




//*****************************************************************************
static int _gsc_fall_test(int fd, s32 dx)
{
	int	errs	= 0;

	// Generate a GSC Fall interrupt: DX
	errs	+= dio24_initialize		(fd, -1, 0);
	errs	+= dio24_gpio_dir_out	(fd, -1, 0, DIO24_GPIO_PORT_ABC, NULL);	// all output
	errs	+= dio24_gpio_tx		(fd, -1, 0, 0xFFFFFF, NULL);			// all high
	errs	+= dio24_irq_fall_enable(fd, -1, 0, dx, NULL);					// enable DX Fall
	errs	+= dio24_gpio_tx		(fd, -1, 0, 0, NULL);					// DX low

	os_sleep_ms(50);

	errs	+= dio24_initialize		(fd, -1, 0);
	return(errs);
}



//*****************************************************************************
int gsc_fall_d0_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D0);	return(errs);}
int gsc_fall_d1_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D1);	return(errs);}
int gsc_fall_d2_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D2);	return(errs);}
int gsc_fall_d3_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D3);	return(errs);}
int gsc_fall_d4_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D4);	return(errs);}
int gsc_fall_d5_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D5);	return(errs);}
int gsc_fall_d6_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D6);	return(errs);}
int gsc_fall_d7_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D7);	return(errs);}
int gsc_fall_d8_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D8);	return(errs);}
int gsc_fall_d9_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D9);	return(errs);}

int gsc_fall_d10_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D10);	return(errs);}
int gsc_fall_d11_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D11);	return(errs);}
int gsc_fall_d12_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D12);	return(errs);}
int gsc_fall_d13_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D13);	return(errs);}
int gsc_fall_d14_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D14);	return(errs);}
int gsc_fall_d15_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D15);	return(errs);}
int gsc_fall_d16_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D16);	return(errs);}
int gsc_fall_d17_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D17);	return(errs);}
int gsc_fall_d18_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D18);	return(errs);}
int gsc_fall_d19_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D19);	return(errs);}

int gsc_fall_d20_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D20);	return(errs);}
int gsc_fall_d21_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D21);	return(errs);}
int gsc_fall_d22_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D22);	return(errs);}
int gsc_fall_d23_test(int fd)	{	int	errs;	errs	= _gsc_fall_test(fd, D23);	return(errs);}


